"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.DimensionValuesBasePage = exports.Dimensions = void 0;
const resource_1 = require("../../resource.js");
const core_1 = require("../../core.js");
const pagination_1 = require("../../pagination.js");
class Dimensions extends resource_1.APIResource {
    /**
     * List all available dimensions.
     *
     * Note: This API replaces the list-filters API call.
     *
     * @example
     * ```ts
     * const dimensionsResponse =
     *   await client.data.dimensions.list();
     * ```
     */
    list(options) {
        return this._client.get('/data/v1/dimensions', options);
    }
    listValues(dimensionId, query = {}, options) {
        if ((0, core_1.isRequestOptions)(query)) {
            return this.listValues(dimensionId, {}, query);
        }
        return this._client.getAPIList(`/data/v1/dimensions/${dimensionId}`, DimensionValuesBasePage, {
            query,
            ...options,
        });
    }
}
exports.Dimensions = Dimensions;
class DimensionValuesBasePage extends pagination_1.BasePage {
}
exports.DimensionValuesBasePage = DimensionValuesBasePage;
Dimensions.DimensionValuesBasePage = DimensionValuesBasePage;
//# sourceMappingURL=dimensions.js.map