// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../../resource.mjs";
import { isRequestOptions } from "../../core.mjs";
import { BasePage } from "../../pagination.mjs";
export class Dimensions extends APIResource {
    /**
     * List all available dimensions.
     *
     * Note: This API replaces the list-filters API call.
     *
     * @example
     * ```ts
     * const dimensionsResponse =
     *   await client.data.dimensions.list();
     * ```
     */
    list(options) {
        return this._client.get('/data/v1/dimensions', options);
    }
    listValues(dimensionId, query = {}, options) {
        if (isRequestOptions(query)) {
            return this.listValues(dimensionId, {}, query);
        }
        return this._client.getAPIList(`/data/v1/dimensions/${dimensionId}`, DimensionValuesBasePage, {
            query,
            ...options,
        });
    }
}
export class DimensionValuesBasePage extends BasePage {
}
Dimensions.DimensionValuesBasePage = DimensionValuesBasePage;
//# sourceMappingURL=dimensions.mjs.map