import { APIResource } from "../../resource.js";
import * as Core from "../../core.js";
export declare class Exports extends APIResource {
    /**
     * Lists the available video view exports along with URLs to retrieve them.
     *
     * @example
     * ```ts
     * const videoViewExportsResponse =
     *   await client.data.exports.listVideoViews();
     * ```
     */
    listVideoViews(options?: Core.RequestOptions): Core.APIPromise<VideoViewExportsResponse>;
}
export interface ExportsResponse {
    data: Array<string>;
    timeframe: Array<number>;
    total_row_count: number | null;
}
export interface VideoViewExportsResponse {
    data: Array<VideoViewExportsResponse.Data>;
    timeframe: Array<number>;
    total_row_count: number | null;
}
export declare namespace VideoViewExportsResponse {
    interface Data {
        export_date: string;
        files: Array<Data.File>;
    }
    namespace Data {
        interface File {
            path: string;
            type: string;
            version: number;
        }
    }
}
export declare namespace Exports {
    export { type ExportsResponse as ExportsResponse, type VideoViewExportsResponse as VideoViewExportsResponse, };
}
//# sourceMappingURL=exports.d.ts.map