"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.IncidentsBasePage = exports.Incidents = void 0;
const resource_1 = require("../../resource.js");
const core_1 = require("../../core.js");
const pagination_1 = require("../../pagination.js");
class Incidents extends resource_1.APIResource {
    /**
     * Returns the details of an incident.
     *
     * @example
     * ```ts
     * const incidentResponse =
     *   await client.data.incidents.retrieve('abcd1234');
     * ```
     */
    retrieve(incidentId, options) {
        return this._client.get(`/data/v1/incidents/${incidentId}`, options);
    }
    list(query = {}, options) {
        if ((0, core_1.isRequestOptions)(query)) {
            return this.list({}, query);
        }
        return this._client.getAPIList('/data/v1/incidents', IncidentsBasePage, { query, ...options });
    }
    listRelated(incidentId, query = {}, options) {
        if ((0, core_1.isRequestOptions)(query)) {
            return this.listRelated(incidentId, {}, query);
        }
        return this._client.getAPIList(`/data/v1/incidents/${incidentId}/related`, IncidentsBasePage, {
            query,
            ...options,
        });
    }
}
exports.Incidents = Incidents;
class IncidentsBasePage extends pagination_1.BasePage {
}
exports.IncidentsBasePage = IncidentsBasePage;
Incidents.IncidentsBasePage = IncidentsBasePage;
//# sourceMappingURL=incidents.js.map