// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../../resource.mjs";
import { isRequestOptions } from "../../core.mjs";
import { BasePage } from "../../pagination.mjs";
export class Incidents extends APIResource {
    /**
     * Returns the details of an incident.
     *
     * @example
     * ```ts
     * const incidentResponse =
     *   await client.data.incidents.retrieve('abcd1234');
     * ```
     */
    retrieve(incidentId, options) {
        return this._client.get(`/data/v1/incidents/${incidentId}`, options);
    }
    list(query = {}, options) {
        if (isRequestOptions(query)) {
            return this.list({}, query);
        }
        return this._client.getAPIList('/data/v1/incidents', IncidentsBasePage, { query, ...options });
    }
    listRelated(incidentId, query = {}, options) {
        if (isRequestOptions(query)) {
            return this.listRelated(incidentId, {}, query);
        }
        return this._client.getAPIList(`/data/v1/incidents/${incidentId}/related`, IncidentsBasePage, {
            query,
            ...options,
        });
    }
}
export class IncidentsBasePage extends BasePage {
}
Incidents.IncidentsBasePage = IncidentsBasePage;
//# sourceMappingURL=incidents.mjs.map