"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.BreakdownValuesBasePage = exports.Metrics = void 0;
const resource_1 = require("../../resource.js");
const core_1 = require("../../core.js");
const pagination_1 = require("../../pagination.js");
class Metrics extends resource_1.APIResource {
    list(query = {}, options) {
        if ((0, core_1.isRequestOptions)(query)) {
            return this.list({}, query);
        }
        return this._client.get('/data/v1/metrics/comparison', { query, ...options });
    }
    getInsights(metricId, query = {}, options) {
        if ((0, core_1.isRequestOptions)(query)) {
            return this.getInsights(metricId, {}, query);
        }
        return this._client.get(`/data/v1/metrics/${metricId}/insights`, { query, ...options });
    }
    getOverallValues(metricId, query = {}, options) {
        if ((0, core_1.isRequestOptions)(query)) {
            return this.getOverallValues(metricId, {}, query);
        }
        return this._client.get(`/data/v1/metrics/${metricId}/overall`, { query, ...options });
    }
    getTimeseries(metricId, query = {}, options) {
        if ((0, core_1.isRequestOptions)(query)) {
            return this.getTimeseries(metricId, {}, query);
        }
        return this._client.get(`/data/v1/metrics/${metricId}/timeseries`, { query, ...options });
    }
    listBreakdownValues(metricId, query = {}, options) {
        if ((0, core_1.isRequestOptions)(query)) {
            return this.listBreakdownValues(metricId, {}, query);
        }
        return this._client.getAPIList(`/data/v1/metrics/${metricId}/breakdown`, BreakdownValuesBasePage, {
            query,
            ...options,
        });
    }
}
exports.Metrics = Metrics;
class BreakdownValuesBasePage extends pagination_1.BasePage {
}
exports.BreakdownValuesBasePage = BreakdownValuesBasePage;
Metrics.BreakdownValuesBasePage = BreakdownValuesBasePage;
//# sourceMappingURL=metrics.js.map