// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../../resource.mjs";
import { isRequestOptions } from "../../core.mjs";
export class RealTime extends APIResource {
    /**
     * Lists available real-time dimensions. This API is now deprecated, please use the
     * `List Monitoring Dimensions` API.
     *
     * @example
     * ```ts
     * const realTimeDimensionsResponse =
     *   await client.data.realTime.listDimensions();
     * ```
     */
    listDimensions(options) {
        return this._client.get('/data/v1/realtime/dimensions', options);
    }
    /**
     * Lists available real-time metrics. This API is now deprecated, please use the
     * `List Monitoring Metrics` API.
     *
     * @example
     * ```ts
     * const realTimeMetricsResponse =
     *   await client.data.realTime.listMetrics();
     * ```
     */
    listMetrics(options) {
        return this._client.get('/data/v1/realtime/metrics', options);
    }
    retrieveBreakdown(realtimeMetricId, query = {}, options) {
        if (isRequestOptions(query)) {
            return this.retrieveBreakdown(realtimeMetricId, {}, query);
        }
        return this._client.get(`/data/v1/realtime/metrics/${realtimeMetricId}/breakdown`, { query, ...options });
    }
    retrieveHistogramTimeseries(realtimeHistogramMetricId, query = {}, options) {
        if (isRequestOptions(query)) {
            return this.retrieveHistogramTimeseries(realtimeHistogramMetricId, {}, query);
        }
        return this._client.get(`/data/v1/realtime/metrics/${realtimeHistogramMetricId}/histogram-timeseries`, {
            query,
            ...options,
        });
    }
    retrieveTimeseries(realtimeMetricId, query = {}, options) {
        if (isRequestOptions(query)) {
            return this.retrieveTimeseries(realtimeMetricId, {}, query);
        }
        return this._client.get(`/data/v1/realtime/metrics/${realtimeMetricId}/timeseries`, {
            query,
            ...options,
        });
    }
}
//# sourceMappingURL=real-time.mjs.map