"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbridgedVideoViewsBasePage = exports.VideoViews = void 0;
const resource_1 = require("../../resource.js");
const core_1 = require("../../core.js");
const pagination_1 = require("../../pagination.js");
class VideoViews extends resource_1.APIResource {
    /**
     * Returns the details of a video view.
     *
     * @example
     * ```ts
     * const videoViewResponse =
     *   await client.data.videoViews.retrieve('abcd1234');
     * ```
     */
    retrieve(videoViewId, options) {
        return this._client.get(`/data/v1/video-views/${videoViewId}`, options);
    }
    list(query = {}, options) {
        if ((0, core_1.isRequestOptions)(query)) {
            return this.list({}, query);
        }
        return this._client.getAPIList('/data/v1/video-views', AbridgedVideoViewsBasePage, { query, ...options });
    }
}
exports.VideoViews = VideoViews;
class AbridgedVideoViewsBasePage extends pagination_1.BasePage {
}
exports.AbridgedVideoViewsBasePage = AbridgedVideoViewsBasePage;
VideoViews.AbridgedVideoViewsBasePage = AbridgedVideoViewsBasePage;
//# sourceMappingURL=video-views.js.map