// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../../resource.mjs";
import { isRequestOptions } from "../../core.mjs";
import { BasePage } from "../../pagination.mjs";
export class VideoViews extends APIResource {
    /**
     * Returns the details of a video view.
     *
     * @example
     * ```ts
     * const videoViewResponse =
     *   await client.data.videoViews.retrieve('abcd1234');
     * ```
     */
    retrieve(videoViewId, options) {
        return this._client.get(`/data/v1/video-views/${videoViewId}`, options);
    }
    list(query = {}, options) {
        if (isRequestOptions(query)) {
            return this.list({}, query);
        }
        return this._client.getAPIList('/data/v1/video-views', AbridgedVideoViewsBasePage, { query, ...options });
    }
}
export class AbridgedVideoViewsBasePage extends BasePage {
}
VideoViews.AbridgedVideoViewsBasePage = AbridgedVideoViewsBasePage;
//# sourceMappingURL=video-views.mjs.map