"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.DRMConfigurationsBasePage = exports.DRMConfigurations = void 0;
const resource_1 = require("../../resource.js");
const core_1 = require("../../core.js");
const pagination_1 = require("../../pagination.js");
class DRMConfigurations extends resource_1.APIResource {
    /**
     * Retrieves a single DRM Configuration.
     *
     * @example
     * ```ts
     * const drmConfiguration =
     *   await client.video.drmConfigurations.retrieve(
     *     'DRM_CONFIGURATION_ID',
     *   );
     * ```
     */
    retrieve(drmConfigurationId, options) {
        return this._client.get(`/video/v1/drm-configurations/${drmConfigurationId}`, options)._thenUnwrap((obj) => obj.data);
    }
    list(query = {}, options) {
        if ((0, core_1.isRequestOptions)(query)) {
            return this.list({}, query);
        }
        return this._client.getAPIList('/video/v1/drm-configurations', DRMConfigurationsBasePage, {
            query,
            ...options,
        });
    }
}
exports.DRMConfigurations = DRMConfigurations;
class DRMConfigurationsBasePage extends pagination_1.BasePage {
}
exports.DRMConfigurationsBasePage = DRMConfigurationsBasePage;
DRMConfigurations.DRMConfigurationsBasePage = DRMConfigurationsBasePage;
//# sourceMappingURL=drm-configurations.js.map