// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../../resource.mjs";
import { isRequestOptions } from "../../core.mjs";
import { BasePage } from "../../pagination.mjs";
export class DRMConfigurations extends APIResource {
    /**
     * Retrieves a single DRM Configuration.
     *
     * @example
     * ```ts
     * const drmConfiguration =
     *   await client.video.drmConfigurations.retrieve(
     *     'DRM_CONFIGURATION_ID',
     *   );
     * ```
     */
    retrieve(drmConfigurationId, options) {
        return this._client.get(`/video/v1/drm-configurations/${drmConfigurationId}`, options)._thenUnwrap((obj) => obj.data);
    }
    list(query = {}, options) {
        if (isRequestOptions(query)) {
            return this.list({}, query);
        }
        return this._client.getAPIList('/video/v1/drm-configurations', DRMConfigurationsBasePage, {
            query,
            ...options,
        });
    }
}
export class DRMConfigurationsBasePage extends BasePage {
}
DRMConfigurations.DRMConfigurationsBasePage = DRMConfigurationsBasePage;
//# sourceMappingURL=drm-configurations.mjs.map