"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlaybackIDs = void 0;
const resource_1 = require("../../resource.js");
class PlaybackIDs extends resource_1.APIResource {
    /**
     * Retrieves the Identifier of the Asset or Live Stream associated with the
     * Playback ID.
     *
     * @example
     * ```ts
     * const playbackId = await client.video.playbackIds.retrieve(
     *   'PLAYBACK_ID',
     * );
     * ```
     */
    retrieve(playbackId, options) {
        return this._client.get(`/video/v1/playback-ids/${playbackId}`, options)._thenUnwrap((obj) => obj.data);
    }
}
exports.PlaybackIDs = PlaybackIDs;
//# sourceMappingURL=playback-ids.js.map