// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../../resource.mjs";
export class PlaybackIDs extends APIResource {
    /**
     * Retrieves the Identifier of the Asset or Live Stream associated with the
     * Playback ID.
     *
     * @example
     * ```ts
     * const playbackId = await client.video.playbackIds.retrieve(
     *   'PLAYBACK_ID',
     * );
     * ```
     */
    retrieve(playbackId, options) {
        return this._client.get(`/video/v1/playback-ids/${playbackId}`, options)._thenUnwrap((obj) => obj.data);
    }
}
//# sourceMappingURL=playback-ids.mjs.map