import { APIResource } from "../../resource.js";
import * as AssetsAPI from "./assets.js";
import { Asset, AssetCreateParams, AssetCreatePlaybackIDParams, AssetCreateStaticRenditionParams, AssetCreateStaticRenditionResponse, AssetCreateTrackParams, AssetGenerateSubtitlesParams, AssetGenerateSubtitlesResponse, AssetListParams, AssetOptions, AssetResponse, AssetRetrieveInputInfoResponse, AssetUpdateMP4SupportParams, AssetUpdateMasterAccessParams, AssetUpdateParams, Assets, AssetsBasePage, InputInfo, Track } from "./assets.js";
import * as DeliveryUsageAPI from "./delivery-usage.js";
import { DeliveryReport, DeliveryReportsPageWithTotal, DeliveryUsage, DeliveryUsageListParams } from "./delivery-usage.js";
import * as DRMConfigurationsAPI from "./drm-configurations.js";
import { DRMConfiguration, DRMConfigurationListParams, DRMConfigurations, DRMConfigurationsBasePage } from "./drm-configurations.js";
import * as LiveStreamsAPI from "./live-streams.js";
import { LiveStream, LiveStreamCreateParams, LiveStreamCreatePlaybackIDParams, LiveStreamCreateSimulcastTargetParams, LiveStreamListParams, LiveStreamUpdateEmbeddedSubtitlesParams, LiveStreamUpdateGeneratedSubtitlesParams, LiveStreamUpdateNewAssetSettingsStaticRenditionsParams, LiveStreamUpdateParams, LiveStreams, LiveStreamsBasePage, SimulcastTarget } from "./live-streams.js";
import * as PlaybackIDsAPI from "./playback-ids.js";
import { PlaybackIDRetrieveResponse, PlaybackIDs } from "./playback-ids.js";
import * as PlaybackRestrictionsAPI from "./playback-restrictions.js";
import { PlaybackRestriction, PlaybackRestrictionCreateParams, PlaybackRestrictionListParams, PlaybackRestrictionResponse, PlaybackRestrictionUpdateReferrerParams, PlaybackRestrictionUpdateUserAgentParams, PlaybackRestrictions, PlaybackRestrictionsBasePage } from "./playback-restrictions.js";
import * as TranscriptionVocabulariesAPI from "./transcription-vocabularies.js";
import { TranscriptionVocabularies, TranscriptionVocabulariesBasePage, TranscriptionVocabulary, TranscriptionVocabularyCreateParams, TranscriptionVocabularyListParams, TranscriptionVocabularyResponse, TranscriptionVocabularyUpdateParams } from "./transcription-vocabularies.js";
import * as UploadsAPI from "./uploads.js";
import { Upload, UploadCreateParams, UploadListParams, UploadResponse, Uploads, UploadsBasePage } from "./uploads.js";
import * as WebInputsAPI from "./web-inputs.js";
import { WebInputCreateParams, WebInputCreateResponse, WebInputLaunchResponse, WebInputListParams, WebInputListResponse, WebInputListResponsesBasePage, WebInputReloadResponse, WebInputRetrieveResponse, WebInputShutdownResponse, WebInputUpdateURLParams, WebInputUpdateURLResponse, WebInputs } from "./web-inputs.js";
export declare class Video extends APIResource {
    assets: AssetsAPI.Assets;
    deliveryUsage: DeliveryUsageAPI.DeliveryUsage;
    liveStreams: LiveStreamsAPI.LiveStreams;
    playbackIds: PlaybackIDsAPI.PlaybackIDs;
    playbackRestrictions: PlaybackRestrictionsAPI.PlaybackRestrictions;
    transcriptionVocabularies: TranscriptionVocabulariesAPI.TranscriptionVocabularies;
    uploads: UploadsAPI.Uploads;
    webInputs: WebInputsAPI.WebInputs;
    drmConfigurations: DRMConfigurationsAPI.DRMConfigurations;
}
export declare namespace Video {
    export { Assets as Assets, type Asset as Asset, type AssetOptions as AssetOptions, type AssetResponse as AssetResponse, type InputInfo as InputInfo, type Track as Track, type AssetCreateStaticRenditionResponse as AssetCreateStaticRenditionResponse, type AssetGenerateSubtitlesResponse as AssetGenerateSubtitlesResponse, type AssetRetrieveInputInfoResponse as AssetRetrieveInputInfoResponse, AssetsBasePage as AssetsBasePage, type AssetCreateParams as AssetCreateParams, type AssetUpdateParams as AssetUpdateParams, type AssetListParams as AssetListParams, type AssetCreatePlaybackIDParams as AssetCreatePlaybackIDParams, type AssetCreateStaticRenditionParams as AssetCreateStaticRenditionParams, type AssetCreateTrackParams as AssetCreateTrackParams, type AssetGenerateSubtitlesParams as AssetGenerateSubtitlesParams, type AssetUpdateMasterAccessParams as AssetUpdateMasterAccessParams, type AssetUpdateMP4SupportParams as AssetUpdateMP4SupportParams, };
    export { DeliveryUsage as DeliveryUsage, type DeliveryReport as DeliveryReport, DeliveryReportsPageWithTotal as DeliveryReportsPageWithTotal, type DeliveryUsageListParams as DeliveryUsageListParams, };
    export { LiveStreams as LiveStreams, type LiveStream as LiveStream, type SimulcastTarget as SimulcastTarget, LiveStreamsBasePage as LiveStreamsBasePage, type LiveStreamCreateParams as LiveStreamCreateParams, type LiveStreamUpdateParams as LiveStreamUpdateParams, type LiveStreamListParams as LiveStreamListParams, type LiveStreamCreatePlaybackIDParams as LiveStreamCreatePlaybackIDParams, type LiveStreamCreateSimulcastTargetParams as LiveStreamCreateSimulcastTargetParams, type LiveStreamUpdateEmbeddedSubtitlesParams as LiveStreamUpdateEmbeddedSubtitlesParams, type LiveStreamUpdateGeneratedSubtitlesParams as LiveStreamUpdateGeneratedSubtitlesParams, type LiveStreamUpdateNewAssetSettingsStaticRenditionsParams as LiveStreamUpdateNewAssetSettingsStaticRenditionsParams, };
    export { PlaybackIDs as PlaybackIDs, type PlaybackIDRetrieveResponse as PlaybackIDRetrieveResponse };
    export { PlaybackRestrictions as PlaybackRestrictions, type PlaybackRestriction as PlaybackRestriction, type PlaybackRestrictionResponse as PlaybackRestrictionResponse, PlaybackRestrictionsBasePage as PlaybackRestrictionsBasePage, type PlaybackRestrictionCreateParams as PlaybackRestrictionCreateParams, type PlaybackRestrictionListParams as PlaybackRestrictionListParams, type PlaybackRestrictionUpdateReferrerParams as PlaybackRestrictionUpdateReferrerParams, type PlaybackRestrictionUpdateUserAgentParams as PlaybackRestrictionUpdateUserAgentParams, };
    export { TranscriptionVocabularies as TranscriptionVocabularies, type TranscriptionVocabulary as TranscriptionVocabulary, type TranscriptionVocabularyResponse as TranscriptionVocabularyResponse, TranscriptionVocabulariesBasePage as TranscriptionVocabulariesBasePage, type TranscriptionVocabularyCreateParams as TranscriptionVocabularyCreateParams, type TranscriptionVocabularyUpdateParams as TranscriptionVocabularyUpdateParams, type TranscriptionVocabularyListParams as TranscriptionVocabularyListParams, };
    export { Uploads as Uploads, type Upload as Upload, type UploadResponse as UploadResponse, UploadsBasePage as UploadsBasePage, type UploadCreateParams as UploadCreateParams, type UploadListParams as UploadListParams, };
    export { WebInputs as WebInputs, type WebInputCreateResponse as WebInputCreateResponse, type WebInputRetrieveResponse as WebInputRetrieveResponse, type WebInputListResponse as WebInputListResponse, type WebInputLaunchResponse as WebInputLaunchResponse, type WebInputReloadResponse as WebInputReloadResponse, type WebInputShutdownResponse as WebInputShutdownResponse, type WebInputUpdateURLResponse as WebInputUpdateURLResponse, WebInputListResponsesBasePage as WebInputListResponsesBasePage, type WebInputCreateParams as WebInputCreateParams, type WebInputListParams as WebInputListParams, type WebInputUpdateURLParams as WebInputUpdateURLParams, };
    export { DRMConfigurations as DRMConfigurations, type DRMConfiguration as DRMConfiguration, DRMConfigurationsBasePage as DRMConfigurationsBasePage, type DRMConfigurationListParams as DRMConfigurationListParams, };
}
//# sourceMappingURL=video.d.ts.map